#!/usr/bin/env python3
"""Generate hashes for student exercise submissions based on their names."""

from hashlib import sha256

# Global settings that to be adapted as needed.
# TODO: come up with better salt
import pandas as pd


def main():
    while not (salt := input('Enter a salt')):
        print('Salt cannot be empty!')
    while not (length := int(input('Enter a hash length!'))):
        print('length cannot be zero!')
    while not (data := input('Enter student data!')):
        print('student data cannot be empty!')

    print(numeric_hash(data, salt, length))


def create_hashes(student_data: pd.DataFrame, salt, length):
    return student_data.agg(numeric_hash, salt=salt, length=length, axis=1)


def numeric_hash(data, salt, length):
    """Determine the hash strings from a salt, the full name, the username and the mail address."""
    msg = sha256()
    msg.update(salt.encode())
    msg.update((' '.join(str(x) for x in data)).encode())
    numeric = int.from_bytes(msg.digest(), 'big')
    numeric %= 10 ** length
    return f'{numeric:0{length}}'


if __name__ == '__main__':
    main()
