"""Interface to nbgrader."""


def write_nbgrader_import(filename, student_data):
    student_data.to_csv(
        filename,
        columns=['hash', 'Vorname', 'Nachname', 'E-Mail', 'Matrikelnummer'],
        header=['id', 'first_name', 'last_name', 'email', 'lms_student_id'],
        index=False,
    )


def write_students_dict(filename, student_data):
    student_dict = (
        student_data.assign(
            name=student_data.Nachname + ', ' + student_data.Vorname,
            id=student_data.hash,
        ).set_index('name')
    )[['id']]
    student_dict.to_json(filename, orient='index', indent=2)
