"""From dumped file from studip extract essential information."""

import pandas as pd

# These are the names of the columns to be used from the file.
COLUMN_NAMES = [
    'Vorname',
    'Nachname',
    'Matrikelnummer',
    'E-Mail',
    'Anrede',
]


def import_csv(filepath):
    """Read names of the course participants from a .csv file."""
    students = pd.read_csv(filepath, delimiter=';')
    students = students[students['Rolle'] == 'autor']
    students['Matrikelnummer'] = students['Matrikelnummer'].astype(int)
    students = students[COLUMN_NAMES]
    return students.dropna(subset=['E-Mail'])
