# flake8: noqa

if __name__ == '__main__':
    raise RuntimeError(
        'This is a configuration file. It contains no runnable code.'
    )

c = get_config()

c.CourseDirectory.course_id = 'SoSe_2022'
c.CourseDirectory.directory_structure = (
    '{nbgrader_step}/{assignment_id}/{student_id}'
)
c.CourseDirectory.root = 'ClassroomData/SoSe_2022/HomeworkAssignments'
c.CourseDirectory.ignore = [
    '*data_generation*.ipynb',
    'timestamp.txt',
    '_*',
    '.ipynb_checkpoints',
    '*.pyc',
    '__pycache__',
    '__init__.py',
    'feedback',
]
c.CourseDirectory.notebook_id = '[!_]*'

c.ClearSolutions.code_stub = {
    'python': '# Bitte geben Sie Ihren Code hier ein.'
}
c.ClearSolutions.text_stub = '**Bitte geben Sie Ihre Antwort hier ein.**'

c.ZipCollectApp.extractor_plugin = 'nbgrader_zipcollect.StudIPExtractor'
c.ZipCollectApp.downloaded_directory = 'downloaded'
c.FileNameCollectorPlugin.named_regexp = (
    r'.*/StudIP_student_(?P<student_id>(\d{8}))_'  # student prefix
    r'(?P<timestamp>(\d{4})-(\d{2})-(\d{2})T(\d{2})\:(\d{2})\:(\d{2}))/'  # timestamp
    r'([\w\-\s\.]+/)*'  # subfolders, nested arbitrarily deep
    r'(?P<file_id>[\w\-]+)\.i?py(nb)?'  # only notebooks and modules
)
